Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class TyrexDataSourceFactory

    java.lang.Object
      |
      +--org.apache.naming.factory.TyrexDataSourceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class TyrexDataSourceFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for Tyrex DataSources.
Tyrex is an open-source transaction manager, developed by Assaf Arkin and exolab.org. See the Tyrex homepage for more details about Tyrex and downloads.

This factory can produced either ServerDataSource objects (with integrated connection pooling) or EnabledDataSource objects. If the requested type is "tyrex.jdbc.ServerDataSource", a ServerDataSource will be instantiated. Be aware that some specific runtime permissions have to be set to be able to generate a ServerDataSource object (see the Tyrex documentation at the Tyrex website for more information).

Definition of the following additional properties is recommended :

- driverName : Name of the JDBC driver to use ( = connection URL)
- driverClassName : Class name of the JDBC driver
- user : User name. Can also be specified later when the Connection is retrieved.
- password : Password. Can also be specified later when the Connection is retrieved.
- loginTimeout : Optional. Login timeout.

Version:
  $Revision: 1.3 $ $Date: 2001/07/12 08:07:27 $
Author:
  Remy Maucherat

Field Summary
`static java.lang.String` | `DATA_SOURCE`
`static java.lang.String` | `DEFAULT_DRIVER_CLASS_NAME`
`static java.lang.String` | `DEFAULT_DRIVER_NAME`
`static java.lang.String` | `DEFAULT_PASSWORD`
`static java.lang.String` | `DEFAULT_USER`
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `DRIVER_CLASS_NAME`
`static java.lang.String` | `DRIVER_NAME`
`static java.lang.String` | `LOGIN_TIMEOUT`
`static java.lang.String` | `PASSWORD`
`static java.lang.String` | `USER`

Constructor Summary
`TyrexDataSourceFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new DataSource instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGIN_TIMEOUT

    public static final java.lang.String LOGIN_TIMEOUT

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

### DATA_SOURCE

    public static final java.lang.String DATA_SOURCE

### USER

    public static final java.lang.String USER

### PASSWORD

    public static final java.lang.String PASSWORD

### DRIVER_NAME

    public static final java.lang.String DRIVER_NAME

### DRIVER_CLASS_NAME

    public static final java.lang.String DRIVER_CLASS_NAME

### DEFAULT_DRIVER_NAME

    public static final java.lang.String DEFAULT_DRIVER_NAME

### DEFAULT_DRIVER_CLASS_NAME

    public static final java.lang.String DEFAULT_DRIVER_CLASS_NAME

### DEFAULT_USER

    public static final java.lang.String DEFAULT_USER

### DEFAULT_PASSWORD

    public static final java.lang.String DEFAULT_PASSWORD

Constructor Detail

### TyrexDataSourceFactory

    public TyrexDataSourceFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws javax.naming.NamingException

  Crete a new DataSource instance.
  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.